## calls-account-row calls-account-row |

## Functions

CallsAccountRow * | calls_account_row_new ()
gboolean | calls_account_row_get_online ()
void | calls_account_row_set_online ()
CallsAccount * | calls_account_row_get_account ()
CallsAccountProvider * | calls_account_row_get_account_provider ()

## Properties

CallsAccount * | account | Read / Write / Construct Only
gboolean | online | Read / Write
CallsAccountProvider * | provider | Read / Write / Construct Only

## Types and Values

#define | CALLS_TYPE_ACCOUNT_ROW
| CallsAccountRow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkListBoxRow
                    ╰── AdwPreferencesRow
                        ╰── AdwActionRow
                            ╰── CallsAccountRow

## Implemented Interfaces

CallsAccountRow implements GtkAccessible, GtkBuildable, GtkConstraintTarget and GtkActionable.

## Description

## Functions

### calls_account_row_new ()

    CallsAccountRow *
    calls_account_row_new (CallsAccountProvider *provider,
                           CallsAccount *account);

### calls_account_row_get_online ()

    gboolean
    calls_account_row_get_online (CallsAccountRow *self);

### calls_account_row_set_online ()

    void
    calls_account_row_set_online (CallsAccountRow *self,
                                  gboolean online);

### calls_account_row_get_account ()

    CallsAccount *
    calls_account_row_get_account (CallsAccountRow *self);

### calls_account_row_get_account_provider ()

    CallsAccountProvider *
    calls_account_row_get_account_provider
                                   (CallsAccountRow *self);

## Types and Values

### CALLS_TYPE_ACCOUNT_ROW

    #define CALLS_TYPE_ACCOUNT_ROW (calls_account_row_get_type ())

### CallsAccountRow

    typedef struct _CallsAccountRow CallsAccountRow;

## Property Details

### The `“account”` property

      “account”                  CallsAccount *

The account this row represents.

Owner: CallsAccountRow

Flags: Read / Write / Construct Only

### The `“online”` property

      “online”                   gboolean

If the account is online.

Owner: CallsAccountRow

Flags: Read / Write

Default value: FALSE

### The `“provider”` property

      “provider”                 CallsAccountProvider *

The provider of the account this row represents.

Owner: CallsAccountRow

Flags: Read / Write / Construct Only